X-Content-Type-Options: nosniff
Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 259
Content-Disposition: inline; filename="stab.h"
Last-Modified: Tue, 04 Feb 2025 22:02:24 GMT
Expires: Fri, 02 Feb 2035 22:02:24 GMT
ETag: "80bd594a36aa19839ded47735a8f7ee95446346d"

#ifndef __GNU_STAB__

/* Indicate the GNU stab.h is in use.  */

#define __GNU_STAB__

#define __define_stab(NAME, CODE, STRING) NAME=CODE,

enum __stab_debug_code
{
#include "stab.def"
LAST_UNUSED_STAB_CODE
};

#undef __define_stab

#endif /* __GNU_STAB_ */
on/atom+xml'/>
<link rel='vcs-git' href='https://git.tilde.institute/ahoang/Nim' title='Nim Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='main'><a href='/'>index</a> : <a href='/ahoang/Nim/'>Nim</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='3221ac094398492e09ea618638204793b0990eca'/><select name='h' onchange='this.form.submit();'>
<option value='7dfadb8b4e95d09981fbeb01d85b12f23946c3e7'>this commit</option>
<optgroup label='branches'><option value='devel' selected='selected'>devel</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>This repository contains the Nim compiler, Nim's stdlib, tools, and documentation. (mirror)</td><td class='sub right'>ahoang &lt;ahoang@tilde.institute&gt;</td></tr></table>
<table class='tabs'><tr><td>
<a href='/ahoang/Nim/?h=devel'>summary</a> <a href='/ahoang/Nim/refs/?h=devel&amp;id=3221ac094398492e09ea618638204793b0990eca'>refs</a> <a href='/ahoang/Nim/log/.travis.yml?h=devel'>log</a> <a class='active' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=3221ac094398492e09ea618638204793b0990eca'>blame</a> <a href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=3221ac094398492e09ea618638204793b0990eca'>commit</a> <a href='/ahoang/Nim/diff/.travis.yml?h=devel&amp;id=3221ac094398492e09ea618638204793b0990eca'>diff</a> <a href='/ahoang/Nim/stats/.travis.yml?h=devel'>stats</a></td><td class='form'><form class='right' method='get' action='/ahoang/Nim/log/.travis.yml'>
<input type='hidden' name='h' value='devel'/><input type='hidden' name='id' value='3221ac094398492e09ea618638204793b0990eca'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/ahoang/Nim/blame/?h=devel&amp;id=3221ac094398492e09ea618638204793b0990eca'>root</a>/<a href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=3221ac094398492e09ea618638204793b0990eca'>.travis.yml</a></div><div class='content'>blob: a3fa3f1da115e242e6085c12d061428d4f0dbcb8 (<a href='/ahoang/Nim/plain/.travis.yml?h=devel&amp;id=3221ac094398492e09ea618638204793b0990eca'>plain</a>) (<a href='/ahoang/Nim/tree/.travis.yml?h=devel&amp;id=3221ac094398492e09ea618638204793b0990eca'>tree</a>)
<table class='blame blob'>
<tr>
<td class='hashes'><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 15:51:31 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 15:51:31 -0700

run in travisci containers' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=dd1e0bd8366d96a8d7b800b5528880d0fe505489'>dd1e0bd83</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=52230e2ae05a927ced6feb566440430760ce0545'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 14:58:10 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 14:59:02 -0700

add basic travis config' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=3af310eb555673a8ad870f0ec061016e2a5f6742'>3af310eb5</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=29dac5ed60807c80d64987a0e0651e02917965f3'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 15:51:43 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 15:51:43 -0700

build on macosx too' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=7f619c75e62cd615b0c4789d3e211718024e6eb8'>7f619c75e</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=dd1e0bd8366d96a8d7b800b5528880d0fe505489'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Araq &lt;rumpf_a@web.de&gt;  2017-02-17 19:08:08 +0100
committer  Araq &lt;rumpf_a@web.de&gt;  2017-02-17 19:08:08 +0100

travis: first attempt to enable OSX tests' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=363b1c0a41e4b554c46d8aa5af5ad1ed31523628'>363b1c0a4</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=9303a02d6bf68ac6e64e3ee0c4a018ab54c7ee99'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Dominik Picheta &lt;dominikpicheta@gmail.com&gt;  2017-01-29 14:18:06 +0100
committer  Dominik Picheta &lt;dominikpicheta@gmail.com&gt;  2017-01-29 15:38:25 +0100

Travis: Use Ubuntu 14.04 instead of 12.04.' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=e241c9a33f126368be4bd78872107ec50f336e18'>e241c9a33</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=fcefe06b5794d75eebe2da71e15ee270ef72644d'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-03-30 23:55:53 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-03-30 23:55:53 +0200

allow OSX tests to fail because of travis bugs' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=d93749b178d3a96f18e7d6df4856b32d0c84382c'>d93749b17</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=880a5255663081db4289b50595411a99bebaca85'>^</a>




</pre></div><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 16:22:47 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 16:22:47 -0700

add libcurl and libsdl1 headers' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=517312467eb5be2406572384aaa3c75f7bb4a532'>517312467</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=a90241b8c455f176f24e5866d20afea156ba92fc'>^</a>




</pre></div><div class='alt'><pre><span class='oid'><a title='author  Yuriy Glukhov &lt;yuriy.glukhov@gmail.com&gt;  2015-10-22 17:39:39 +0300
committer  Yuriy Glukhov &lt;yuriy.glukhov@gmail.com&gt;  2015-10-22 21:34:37 +0300

Fixed tests for TravisCI' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=e5aefbd1d4b865507efb755f2d89e09e0aab2bdc'>e5aefbd1d</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=bf6211df6c0717109a235122d182d9fc101879ca'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Dominik Picheta &lt;dominikpicheta@gmail.com&gt;  2017-10-02 11:13:54 +0100
committer  Dominik Picheta &lt;dominikpicheta@gmail.com&gt;  2017-10-02 11:13:54 +0100

Install libsfml-dev on travis.' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=911551aaeddf58d0073cdb90dceddbe6470f81a8'>911551aae</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=02ff5f596c330b68927f843814ecb9b86c2eee67'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-03-29 10:14:03 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-03-29 10:14:03 +0200

attempt to make travis OSX tests green and mandatory' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=3ffde39cf416579144d37021f24c99e49efc0aee'>3ffde39cf</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=a88a9095654ec4c7f0dd803e164047a464fba829'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-03-29 10:58:17 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-03-29 10:58:17 +0200

travis already ships with nodejs' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=434bdbe3ed7f102b5a8c149bebcef3b10c3785dc'>434bdbe3e</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=720eca574464ba96d7c93548d6a1e365d919365f'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-03-29 10:14:03 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-03-29 10:14:03 +0200

attempt to make travis OSX tests green and mandatory' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=3ffde39cf416579144d37021f24c99e49efc0aee'>3ffde39cf</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=a88a9095654ec4c7f0dd803e164047a464fba829'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Dominik Picheta &lt;dominikpicheta@gmail.com&gt;  2017-10-02 11:14:52 +0100
committer  Dominik Picheta &lt;dominikpicheta@gmail.com&gt;  2017-10-02 11:14:52 +0100

Install sfml on Mac OS X in travis.' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=1c6c87f47f2f47224dfe452461eb231100fad4d8'>1c6c87f47</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=911551aaeddf58d0073cdb90dceddbe6470f81a8'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Araq &lt;rumpf_a@web.de&gt;  2017-02-17 19:08:08 +0100
committer  Araq &lt;rumpf_a@web.de&gt;  2017-02-17 19:08:08 +0100

travis: first attempt to enable OSX tests' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=363b1c0a41e4b554c46d8aa5af5ad1ed31523628'>363b1c0a4</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=9303a02d6bf68ac6e64e3ee0c4a018ab54c7ee99'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-10-02 16:10:58 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-10-02 16:10:58 -0700

download fasm for the coro build' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=8f6a275f4de74873170f0cf00745fff8cee5bcb8'>8f6a275f4</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=2f7802bea3f27eae92b828b0cb3d49b451f10839'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 15:14:54 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 15:27:37 -0700

no more build.sh, bootstrap release too' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=fbe7bf3c8b2ac6fe48a0cf1c6b2cd9d7ae51c9b6'>fbe7bf3c8</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=3af310eb555673a8ad870f0ec061016e2a5f6742'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 15:42:45 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-09-29 15:42:45 -0700

fix current directory' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=243e66596554bdd318ff26f15b377403ea1fee6a'>243e66596</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=980db2f4407a21b1ca59926a3318479aedfa7e37'>^</a>


</pre></div><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-10-02 13:38:32 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-10-02 13:38:32 -0700

use clang for threading tests on travis' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=e9fc86597ea7475668543498c7a113bca4ddbce4'>e9fc86597</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=97c2574e8d6488118f85d8dff6cd88d7787f809b'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Dennis Felsing &lt;dennis@felsin9.de&gt;  2018-01-08 10:49:00 +0100
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2018-01-08 10:49:00 +0100

Fix lists of paths in posix environment (#7034)' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=5492190bc63326069233a8aaf9f2e567cfc555f8'>5492190bc</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=e23ea64c41e101d4e1d933f0b015f51cc6c2f7de'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-10-02 19:02:01 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-10-02 19:02:01 -0700

fail CI when tests fail' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=a01fd5e93f58a2bf9dea4f577218b8ff7d874bbf'>a01fd5e93</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=b33d97621d9e0c73d9512e74b44407394858eb08'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Araq &lt;rumpf_a@web.de&gt;  2017-02-26 23:31:58 +0100
committer  Araq &lt;rumpf_a@web.de&gt;  2017-02-26 23:31:58 +0100

travis/appveyor: don&#x27;t overdo -d:nimCoroutines checking' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=c525dfabc2d362967a45c04be31fa2568fc0c16e'>c525dfabc</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=b724f46f6f026a3c3ce97ded0dfb47a07eba1680'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2016-11-24 09:55:18 +0100
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2016-11-24 09:55:18 +0100

attempt to make travis green again' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=31a41594c26680e48eabd9b738246aee41e122c5'>31a41594c</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=7be1c55cf18f927513cc67f55307d48bdb9d7d20'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Federico Ceratto &lt;federico.ceratto@gmail.com&gt;  2016-04-03 13:07:47 +0100
committer  Federico Ceratto &lt;federico.ceratto@gmail.com&gt;  2016-04-03 13:44:26 +0100

Add nimscript test and run it in Travis CI' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=c1c3c4c5d1694af27227915884bbfad6ed78fddb'>c1c3c4c5d</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=a8fcc546be613b9d862d5af6c4481e96c2dfb419'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2016-11-24 10:52:18 +0100
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2016-11-24 10:52:18 +0100

another attempt to make travis green again' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=633dcca71bc85690ac7bea09bb452f5132c0f182'>633dcca71</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=31a41594c26680e48eabd9b738246aee41e122c5'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Aman Gupta &lt;aman@tmm1.net&gt;  2015-10-02 18:20:51 -0700
committer  Aman Gupta &lt;aman@tmm1.net&gt;  2015-10-02 18:20:51 -0700

fix test failures due to import errors' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=5b9465acf615e0513defa074673c6da46b27fe28'>5b9465acf</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=1639de0a4e18f9e055c2412efe326a1e1b904f61'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Dominik Picheta &lt;dominikpicheta@gmail.com&gt;  2016-09-25 13:06:09 +0200
committer  Dominik Picheta &lt;dominikpicheta@gmail.com&gt;  2016-09-25 13:06:09 +0200

CI: Depend on Jester HEAD because of nim-lang/nimble#129.' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=299b04491a04d08383c86635276060f2edd8f824'>299b04491</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=8a6343b5b671abb26ab68dd940901654de31cfa2'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Araq &lt;rumpf_a@web.de&gt;  2015-10-25 01:25:54 +0200
committer  Araq &lt;rumpf_a@web.de&gt;  2015-10-25 01:29:51 +0200

try to make travis generate the tar.xz' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=c1c76a20e6e988377cc4d757ca0eedcfcbbaa537'>c1c76a20e</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=5206c310e65998e82804af46de0d49dc07ac65c1'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Rokas Kupstys &lt;rokups@zoho.com&gt;  2017-02-14 12:23:42 +0200
committer  Rokas Kupstys &lt;rokups@zoho.com&gt;  2017-02-20 17:24:19 +0200

For CI: -d:nimCoroutines' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=93149677094ffbd2ec038f3d6ec5a9aa339c8ea6'>931496770</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=c3d1b732d63b0d5e03cf194cf2c7475d344c8bc6'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-07-26 08:52:39 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-07-26 08:52:39 +0200

travis build: test documentation generation' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=e8f7d605f6475f0a386d517596578f99ce2431af'>e8f7d605f</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=a3f80c4bdf59a8dae879256d2044677a6eea6e83'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Araq &lt;rumpf_a@web.de&gt;  2015-10-26 14:57:22 +0100
committer  Araq &lt;rumpf_a@web.de&gt;  2015-10-26 14:57:22 +0100

tries to fix the travis build' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=ee08c6eecf348598b08de81fef52b5b0472594b1'>ee08c6eec</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=aa36e73ecf1e09367a5e94de6c3af488449eb4f6'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-11-08 11:40:58 +0100
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-11-08 11:41:05 +0100

fixes #6707; nimsuggest tests still not green' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=ab1787e7db2d12261cbf60f7bf5934a30371bbf0'>ab1787e7d</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=d837ef177cbe69a3e9b13406abb656ddc6e00903'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Federico Ceratto &lt;federico.ceratto@gmail.com&gt;  2017-09-17 13:43:22 +0100
committer  Federico Ceratto &lt;federico.ceratto@gmail.com&gt;  2017-11-14 02:30:17 +0000

Add check for broken code-block in docs' href='/ahoang/Nim/commit/.travis.yml?h=devel&amp;id=277bf1098c2662d21314692963f0596abfc30d3e'>277bf1098</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/.travis.yml?h=devel&amp;id=22ceab0fbb29241f72149fe4d53749d57861ba6f'>^</a>

</pre></div></td>
<td class='linenumbers'><div class='alt'><pre><a id='n1' href='#n1'>1</a>
</pre></div><div class='alt'><pre><a id='n2' href='#n2'>2</a>
</pre></div><div class='alt'><pre><a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
</pre></div><div class='alt'><pre><a id='n5' href='#n5'>5</a>
</pre></div><div class='alt'><pre><a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
</pre></div><div class='alt'><pre><a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
</pre></div><div class='alt'><pre><a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
</pre></div><div class='alt'><pre><a id='n18' href='#n18'>18</a>
</pre></div><div class='alt'><pre><a id='n19' href='#n19'>19</a>
</pre></div><div class='alt'><pre><a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
</pre></div><div class='alt'><pre><a id='n22' href='#n22'>22</a>
</pre></div><div class='alt'><pre><a id='n23' href='#n23'>23</a>
</pre></div><div class='alt'><pre><a id='n24' href='#n24'>24</a>
</pre></div><div class='alt'><pre><a id='n25' href='#n25'>25</a>
</pre></div><div class='alt'><pre><a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
</pre></div><div class='alt'><pre><a id='n28' href='#n28'>28</a>
</pre></div><div class='alt'><pre><a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
</pre></div><div class='alt'><pre><a id='n32' href='#n32'>32</a>
</pre></div><div class='alt'><pre><a id='n33' href='#n33'>33</a>
</pre></div><div class='alt'><pre><a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
</pre></div><div class='alt'><pre><a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
</pre></div><div class='alt'><pre><a id='n38' href='#n38'>38</a>
</pre></div><div class='alt'><pre><a id='n39' href='#n39'>39</a>
</pre></div><div class='alt'><pre><a id='n40' href='#n40'>40</a>
</pre></div><div class='alt'><pre><a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
</pre></div><div class='alt'><pre><a id='n43' href='#n43'>43</a>
</pre></div><div class='alt'><pre><a id='n44' href='#n44'>44</a>
</pre></div><div class='alt'><pre><a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
</pre></div><div class='alt'><pre><a id='n47' href='#n47'>47</a>
</pre></div><div class='alt'><pre><a id='n48' href='#n48'>48</a>
</pre></div><div class='alt'><pre><a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
</pre></div><div class='alt'><pre><a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
</pre></div></td>
<td class='lines'><div><div><div class='alt'><pre>
           </pre></div><div class='alt'><pre>
           </pre></div><div class='alt'><pre>

         </pre></div><div class='alt'><pre>
       </pre></div><div class='alt'><pre>

            </pre></div><div class='alt'><pre>




                 </pre></div><div class='alt'><pre>




                          </pre></div><div class='alt'><pre>
               </pre></div><div class='alt'><pre>
                 </pre></div><div class='alt'><pre>

               </pre></div><div class='alt'><pre>
                                                             </pre></div><div class='alt'><pre>
                                                                      </pre></div><div class='alt'><pre>
                                                                   </pre></div><div class='alt'><pre>
 </pre></div><div class='alt'><pre>

              </pre></div><div class='alt'><pre>
                                                                </pre></div><div class='alt'><pre>


               </pre></div><div class='alt'><pre>
                                                     </pre></div><div class='alt'><pre>
                                         </pre></div><div class='alt'><pre>

              </pre></div><div class='alt'><pre>

                          </pre></div><div class='alt'><pre>
                 </pre></div><div class='alt'><pre>
                                   </pre></div><div class='alt'><pre>
                         </pre></div><div class='alt'><pre>

                         </pre></div><div class='alt'><pre>
                               </pre></div><div class='alt'><pre>
                          </pre></div><div class='alt'><pre>

                                                                </pre></div><div class='alt'><pre>
              </pre></div><div class='alt'><pre>
                  </pre></div><div class='alt'><pre>

                               </pre></div><div class='alt'><pre>

                                                                                                                                </pre></div></div><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="nt">sudo</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">false</span>
<span class="nt">language</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">c</span>
<span class="nt">os</span><span class="p">:</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">linux</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">osx</span>
<span class="nt">dist</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">trusty</span>


<span class="nt">matrix</span><span class="p">:</span>
<span class="w">  </span><span class="nt">allow_failures</span><span class="p">:</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">os</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">osx</span>

<span class="nt">addons</span><span class="p">:</span>
<span class="w">  </span><span class="nt">apt</span><span class="p">:</span>
<span class="w">    </span><span class="nt">packages</span><span class="p">:</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">libcurl4-openssl-dev</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">libsdl1.2-dev</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">libgc-dev</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">libsfml-dev</span>

<span class="nt">before_install</span><span class="p">:</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">if [[ &quot;$TRAVIS_OS_NAME&quot; == &quot;osx&quot; ]]; then brew update; fi</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">if [[ &quot;$TRAVIS_OS_NAME&quot; == &quot;osx&quot; ]]; then brew install boehmgc; fi</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">if [[ &quot;$TRAVIS_OS_NAME&quot; == &quot;osx&quot; ]]; then brew install sfml; fi</span>

<span class="nt">before_script</span><span class="p">:</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">set -e</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">git clone --depth 1 https://github.com/nim-lang/csources.git</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd csources</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sh build.sh</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd ..</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sed -i -e &#39;s,cc = gcc,cc = clang,&#39; config/nim.cfg</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">export PATH=$(pwd)/bin${PATH:+:$PATH}</span>
<span class="nt">script</span><span class="p">:</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">nim c koch</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./koch boot</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./koch boot -d:release</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./koch nimble</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">nim e tests/test_nimscript.nims</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">nimble install zip -y</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">nimble install opengl</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">nimble install sdl1</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">nimble install jester@#head</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">nimble install niminst</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">nim c --taintMode:on -d:nimCoroutines tests/testament/tester</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">tests/testament/tester --pedantic all -d:nimCoroutines</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./koch web</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./koch csource</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./koch nimsuggest</span>
<span class="c1">#  - nim c -r nimsuggest/tester</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">( ! grep -F &#39;.. code-block&#39; -l -r --include &#39;*.html&#39; --exclude contributing.html --exclude docgen.html --exclude tut2.html )</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">( ! grep -F &#39;..code-block&#39; -l -r --include &#39;*.html&#39; --exclude contributing.html --exclude docgen.html --exclude tut2.html )</span>
</pre></div>
</code></pre></div></td>
</tr>
</table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1-2-gfad0</a> (<a href='https://git-scm.com/'>git 2.36.2.497.gbbea4dcf42</a>) at 2025-02-04 22:02:26 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
